ContactsFind contacts by custom field

Find contacts by custom field

GET /contacts/find_by_custom_field

curl -X GET "https://app.bualpro.com/api/contacts/find_by_custom_field?field_id=example_string&value=example_string" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY"
{
  "data": [
    {
      "id": 123,
      "page_id": 123,
      "first_name": "Johan",
      "last_name": "Ahmad",
      "channel": 42,
      "profile_pic": "example_string",
      "locale": "example_string",
      "gender": 42,
      "timezone": 42,
      "last_sent": 42,
      "last_delivered": 42,
      "last_seen": 42,
      "last_interaction": 42,
      "subscribed_date": "example_string",
      "subscribed": 42,
      "tags": [
        {
          "id": 123,
          "name": "Johan Ahmad"
        }
      ],
      "custom_fields": [
        {
          "id": 123,
          "name": "Johan Ahmad",
          "type": 42,
          "value": "example_string"
        }
      ]
    }
  ]
}
GET
/contacts/find_by_custom_field
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

query
field_idstring
Required

Custom field ID. Use 'phone' or 'email' as custom field id if you want to find the contact by phone or email

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Query Parameters

field_idstring
Required

Custom field ID. Use 'phone' or 'email' as custom field id if you want to find the contact by phone or email

Responses

dataarray

The source lists a maximum value of 100 for this array; its enforcement is unverified.

Find contacts by custom field value. It will return maximum 100 contacts. The results are sorted by the last custom field value update for a contact.